import request from "@/utils/request";
import { Drawing } from "./types";

export function updateRework(data: Drawing) {
  return request({
    url: "/api/v1/baseRework/update",
    method: "post",
    data: data,
  });
}

export function documentAdd(data: Object) {
  return request({
    url: "/api/v1/reworkDocument/add",
    method: "post",
    data: data,
  });
}

export function documentList(orderCode: String) {
  return request({
    url: "api/v1/erp/materialReceive/"+orderCode,
    method: "GET",
  });
}

export function documentDetail(data: Object) {
    return request({
        url: "api/v1/erp/queryRequisitionDoc",
        method: "POST",
        data: data
    });
}
